.knowledges{
    .knowledgesContent{
        width: 100%;

        position: relative;
        overflow: hidden;
        display: grid;
        grid-template-columns: 50% 50%;
        grid-template-rows: 66% 34%;
        grid-template-areas: 
            "1"
            "2";

        
        .language_framework,.otherskills,.hobbies{
            background: var(--color-6);
            border-radius: $borderRadius;
        }

        h3{
            margin-top: 0.8rem;
            font-size: 2rem;
            padding-left: 1.3rem;
            font-family: $font-2;
            color: var(--color-4);
            text-transform: uppercase;
        }

        .language_framework{
            padding-left: 20px;
            grid-area: 1;
            width: 200%;
            display: grid;
            grid-template-columns:1fr;
            grid-template-rows: 1fr 1fr;
            grid-template-areas: 
            "L"
            "F";

            .languagesDisplay{
                grid-area:L;
                
                span{
                    &:nth-child(2):before,&:nth-child(3):before{
                        height: 240px;
                    }     
                }
            }
            .frameworksDisplay{
                grid-area:F;
                margin-top: 35px;

                span{
                    &:nth-child(2):before,&:nth-child(3):before{
                        height: 100px;
                    }
                }
            }

            h3{
                margin-bottom: .3rem;
            }

            .years{
                padding-top: 7px;
                font-size: 1rem;
                display: flex;
                justify-content: space-between;
                color: var(--white);
                width: 82%;
                span{
                    width: 36%;
                    font-size: 1.2rem;
                    &:nth-child(2){
                        text-align: right;
                        width: 17%;
                    }

                    &:nth-child(3){
                        text-align: right;
                        width: 44%;
                    }

                    &:nth-child(2):before,&:nth-child(3):before{
                        content: '';
                        background: var(--color-bar);
                        position: absolute;
                        width: 1px;
                        transform: translate(9px,19px);
                    }
                }
            }
            .languagesList{
                width: 66%;
                font-size: 1.3rem;

                li{
                    color: var(--color-3);
                    margin-top: 0.2rem;
                }

                .progressBar{
                    height: .4rem;
                    background: transparent;
                    border-radius: 50px;
                    margin-top: .2rem;
                    position: relative;
                    

                    &:after{
                        content: '';
                        position: absolute;
                        background: var(--color-1);
                        border-radius: 50px;
                        height: .6rem;
                        width: 0%;
                        animation: line 2s ease-out forwards;

                        @keyframes line {
                            to{
                                width: 100%;
                            }
                        }
                    }
                }
            }
        }
        .hobbies,.otherskills{
            grid-area: 2;
            margin-top: 5px;
            h3{
                text-align: center;
            }
            li{
                font-size: 1.6rem;
                margin-top: 20px;
                animation: none;

                i{
                    margin-right: 10px;
                    color: var(--color-3);
                }
    
                span{
                    color:var(--white);
                }
            }   
            li:hover{
                i{
                    animation: seccouer 2s;
                }
                
            }

            @keyframes seccouer {
                0% { transform: rotate(0deg); }
                5% { transform: rotate(10deg); }
                10% { transform: rotate(-10deg); }
                20% { transform: rotate(10deg); }
                25% { transform: rotate(-10deg); }
                30% { transform: rotate(0deg); }
            }
        }

        .hobbies{
            margin-right: 5px;
            li{
                padding-left: 1.1rem;
            }
        }

        .otherskills{
            .list{
                padding-left: 1.1rem;
                padding-right: 1.1rem;
                display: flex;
                justify-content: space-around; 
            }
        }
    }
}

@media screen and (max-width: 850px){
    .knowledgesContent {
      margin: 0 !important;
    }
  }
@media screen and (max-width:760px){
    .knowledgesContent {
        display: inline !important;


        .language_framework{
            width: 100% !important;
            margin-left: 0px !important;
            .frameworksDisplay,.languagesDisplay{
                span{
                    &:nth-child(2):before,&:nth-child(3):before{
                        margin-top: 60px !important;
                    }
                }
            }
        }
        .hobbies,.otherskills{
            margin-left: 0px !important;
        }
    }
}